Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ComponentModel.Win32Exception

A is thrown by the and classes when an error occurs with the network.

The default constructor for the class sets the property to the last operating system socket error that occurred. For more information about socket error codes, see the Windows Sockets version 2 API error code documentation on MSDN.

The exception that is thrown when a socket error occurs.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The constructor sets the property to the last operating system socket error that occurred. For more information about socket error codes, see the Windows Sockets version 2 API error code documentation (http://msdn.microsoft.com/library/default.asp?url=/library/en-us/winsock/winsock/windows_sockets_error_codes_2.asp).

  Initializes a new instance of the class with the last operating system error code.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  The constructor sets the property to .

  Initializes a new instance of the class with the specified error code.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.

  This constructor implements the interface for the class.

  Initializes a new instance of the class from the specified instances of the and classes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The property contains the error code that is associated with the error that caused the exception.

  The default constructor for sets the property to the last operating system error that occurred. For more information about socket error codes, see the Windows Sockets version 2 API error code documentation in MSDN.

  Gets the error code that is associated with this exception.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the error message that is associated with this exception.

- Property
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketError To be added.

  The property contains the error code that is associated with the error that caused the exception.

  The default constructor for sets the property to the last operating system error that occurred. For more information about socket error codes, see the Windows Sockets version 2 API error code documentation in MSDN.

  Gets the error code that is associated with this exception.

0